from typing import Optional

from fastapi import FastAPI
from fastapi.templating import Jinja2Templates

import poka_ijo.models as models


app = FastAPI()
engine = models.create_db_and_tables()
templates = Jinja2Templates(directory="templates")

from fastapi.responses import HTMLResponse
from fastapi import Request

@app.get("/", response_class=HTMLResponse)
async def read_root(request: Request):
    return templates.TemplateResponse("index.html.j2", {"request": request})
